diff --git a/doc/src/sgml/maintenance.sgml b/doc/src/sgml/maintenance.sgml
index 9cf9d030a8..be1c522575 100644
--- a/doc/src/sgml/maintenance.sgml
+++ b/doc/src/sgml/maintenance.sgml
@@ -861,10 +861,16 @@ analyze threshold = analyze base threshold + analyze scale factor * number of tu
    </para>
 
    <para>
-    Partitioned tables are not processed by autovacuum.  Statistics
-    should be collected by running a manual <command>ANALYZE</command> when it is
-    first populated, and again whenever the distribution of data in its
-    partitions changes significantly.
+    Partitioned tables do not directly store tuples and consequently
+    autovacuum does not <command>VACUUM</command> them.  (Autovacuum does
+    perform <command>VACUUM</command> on table partitions just like other
+    tables.)  Unfortunately, this also means that autovacuum doesn't
+    run <command>ANALYZE</command> on partitioned tables, and this
+    can cause suboptimal plans for queries that reference partitioned
+    table statistics.  You can work around this problem by manually
+    running <command>ANALYZE</command> on partitioned tables when they
+    are first populated, and again whenever the distribution of data in
+    their partitions changes significantly.
    </para>
 
    <para>
